Subject: Re: The transfer.hideRefs of the upload-pack process does not work properly

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Mar 2025 15:45:05 -0800

Taylor Blau <[email-masked]> writes:

> But then we have to handle the reftable case too, which Patrick gave a
> potential fix to below. But equally fine I think would be to push this
> ^^ logic up into refs.c::refs_ref_iterator_begin(), which would fix both
> at the same time.

Somehow, today seems to be the day to read about "let's push as much
common things up from ref backends to the generic ref layer " for me
;-).